AstrologyAPI

Use access token to call astrology api.

Learn More

Sub Conscious Self Number

POSThttps://json.astrologyapi.com/v1/sub_conscious_self_number
Copy

The sub_conscious_self_number API provides a report on a person's subconscious self number based on their name and birth date. The response includes the person's name, birth date, subconscious self number, and a report that describes the personality traits associated with that number.

POST/sub_conscious_self_number
Copy
1curl --location 'https://json.astrologyapi.com/v1/sub_conscious_self_number' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Ajeet kanojia",
3  "birth_date": "2011-5-15",
4  "subconscious_self_number": 5,
5  "report": [
6    "With Subconscious Self number 5, you seem to come across as fickle-minded. It is hard for you to keep yourself focused on one task for long and be disciplined especially while shouldering responsibilities. Your attitude to rushing from one thing to another could make you disorganized. You may lack the dedication needed towards completion of what you have taken up and thus, leaving things half done or mid-way is quite common with you. Your escapist tendencies will not do any good, especially when faced with a problem. It would be wise on your part to face the issues and figure out a way to work through it. You need to learn to remain grounded and stay still. Hence, a good self-control and self-discipline are qualities that you need to imbibe to make you more functional and productive at things you do. "
7  ]
8}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.